Skip to main content
GET
List tasks

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

Query Parameters

source_target_kind
enum<string>

Source to read: project, main_branch, environment or preview_branch. Overrides runtime_target_kind.

Available options:
project,
main_branch,
environment,
preview_branch
runtime_target_kind
enum<string> | null

Runtime target to read from: main_branch, environment or preview_branch.

Available options:
main_branch,
environment,
preview_branch,
null
target_environment_id
string<uuid> | null

Environment to read from when the target kind is environment.

target_branch_id
string<uuid> | null

Preview branch to use when the target kind is preview_branch.

Response

Discovered project tasks

data
object[]
required

Task definitions returned for the project.

page_info
object
required
diagnostics
object[]

Source files that could not be read as task definitions.